<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.casic</groupId>
    <artifactId>casic-metering</artifactId>
    <version>2.0.0</version>
    <name>casic-metering</name>
    <packaging>pom</packaging>
    <modules>
        <module>casic-metering-api</module>
        <module>casic-metering-service</module>
        <module>casic-metering-dao</module>
        <module>casic-metering-model</module>
        <module>casic-metering-portal</module>
        <module>casic-metering-common</module>
        <module>casic-metering-job</module>
    </modules>
    <parent>
        <groupId>com.casic</groupId>
        <artifactId>casic-boot-starter-parent</artifactId>
        <version>2.0.0.alpha</version>
    </parent>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <!--当前项目版本号-->
        <pro.version>2.0.0</pro.version>
        <!--core包版本号-->
        <core.version>2.0.0.alpha</core.version>
        <!--权限包版本号-->
        <admin.version>2.0.0.alpha</admin.version>
        <!--扩展包版本号-->
        <extension.version>2.0.0.alpha</extension.version>
        <zxing.version>3.2.1</zxing.version>
        <batik.version>1.7</batik.version>
        <commons-lang3.version>3.6</commons-lang3.version>
        <screw.version>1.0.3</screw.version>
        <hikari.version>3.4.5</hikari.version>
<!--        <activiti.version>6.0.0</activiti.version>-->
<!--        <activiti.version>7.0.0.Beta2</activiti.version>-->
        <flowable.version>6.7.2</flowable.version>
        <xmlgraphics.version>1.10</xmlgraphics.version>
        <swagger.version>2.9.2</swagger.version>
        <knife4j.version>2.0.4</knife4j.version>
        <minio.version>8.0.3</minio.version>
        <mybatis-plus.version>3.5.2</mybatis-plus.version>
        <mybatis-plus-generator.version>3.5.2</mybatis-plus-generator.version>
        <xxl-job.version>2.3.0</xxl-job.version>
        <read.version>1.0</read.version>
        <fileupload.version>1.3.3</fileupload.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-web</artifactId>
                <version>${boot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-test</artifactId>
                <version>${boot.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${junit.version}</version>
                <scope>test</scope>
            </dependency>
            <!--casic相关代码-->
            <dependency>
                <groupId>com.casic</groupId>
                <artifactId>casic-core</artifactId>
                <version>${core.version}</version>
            </dependency>
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.driver.version}</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-generator</artifactId>
                <version>${mybatis-plus-generator.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid</artifactId>
                <version>${druid.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>
            <!-- flowable -->
            <dependency>
                <groupId>org.flowable</groupId>
                <artifactId>flowable-spring-boot-starter</artifactId>
                <version>${flowable.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.flowable</groupId>
                        <artifactId>flowable-spring-boot-starter-app</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>org.flowable</groupId>
                        <artifactId>flowable-form-spring-configurator</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>org.flowable</groupId>
                        <artifactId>flowable-idm-spring-configurator</artifactId>
                    </exclusion>
                    <exclusion>
                        <artifactId>mybatis</artifactId>
                        <groupId>org.mybatis</groupId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.flowable</groupId>
                <artifactId>flowable-bpmn-model</artifactId>
                <version>${flowable.version}</version>
                <scope>compile</scope>
            </dependency>
            <dependency>
                <groupId>org.flowable</groupId>
                <artifactId>flowable-json-converter</artifactId>
                <version>${flowable.version}</version>
                <scope>compile</scope>
            </dependency>
            <dependency>
                <groupId>org.flowable</groupId>
                <artifactId>flowable-bpmn-converter</artifactId>
                <version>${flowable.version}</version>
                <scope>compile</scope>
            </dependency>
            <dependency>
                <!-- 自动布局jar 包-->
                <groupId>org.flowable</groupId>
                <artifactId>flowable-bpmn-layout</artifactId>
                <version>${flowable.version}</version>
            </dependency>
            <dependency><!--添加Swagger依赖 -->
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger2</artifactId>
                <version>${swagger.version}</version>
            </dependency>
            <dependency><!--添加Swagger-UI依赖 -->
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger-ui</artifactId>
                <version>${swagger.version}</version>
            </dependency>
            <!--knife4j-->
            <dependency>
                <groupId>com.github.xiaoymin</groupId>
                <artifactId>knife4j-spring-boot-starter</artifactId>
                <version>${knife4j.version}</version>
            </dependency>
            <!--minio-->
            <dependency>
                <groupId>io.minio</groupId>
                <artifactId>minio</artifactId>
                <version>${minio.version}</version>
            </dependency>
            <!--xxl_job-->
            <dependency>
                <groupId>com.xuxueli</groupId>
                <artifactId>xxl-job-core</artifactId>
                <version>${xxl-job.version}</version>
            </dependency>
            <!--原厂家RFID读写器设备-->
            <dependency>
                <groupId>com.gg.reader</groupId>
                <artifactId>greader-api</artifactId>
                <version>${read.version}</version>
            </dependency>
            <!--新厂家RFID读写器设备-->
            <dependency>
                <groupId>com.new.reader</groupId>
                <artifactId>reader-api</artifactId>
                <version>${read.version}</version>
            </dependency>
            <!--文件转换-->
            <dependency>
                <groupId>commons-fileupload</groupId>
                <artifactId>commons-fileupload</artifactId>
                <version>${fileupload.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
    <build>
        <pluginManagement>
            <plugins>

                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>${maven.compiler.plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>cn.smallbun.screw</groupId>
                    <artifactId>screw-maven-plugin</artifactId>
                    <version>${screw.version}</version>
                    <dependencies>
                        <!-- HikariCP -->
                        <dependency>
                            <groupId>com.zaxxer</groupId>
                            <artifactId>HikariCP</artifactId>
                            <version>${hikari.version}</version>
                        </dependency>
                        <!--mysql driver-->
                        <dependency>
                            <groupId>mysql</groupId>
                            <artifactId>mysql-connector-java</artifactId>
                            <version>${mysql.driver.version}</version>
                        </dependency>
                    </dependencies>
                    <configuration>
                        <!--username-->
                        <username>root</username>
                        <!--password-->
                        <password>casic203!</password>
                        <!--driver-->
                        <!--com.mysql.jdbc.Driver -->
                        <driverClassName>com.mysql.jdbc.Driver</driverClassName>
                        <!--jdbc url-->
                        <jdbcUrl>jdbc:mysql://localhost:3306/casic_template?useSSL=false</jdbcUrl>
                        <!--生成文件类型 HTML MD WORD-->
                        <fileType>WORD</fileType>
                        <!--打开文件输出目录-->
                        <openOutputDir>true</openOutputDir>
                        <!--生成模板-->
                        <produceType>freemarker</produceType>
                        <!--文档名称 为空时:将采用[数据库名称-描述-版本号]作为文档名称-->
                        <!--描述-->
                        <description>基础权限库</description>
                        <!--版本-->
                        <version>${pro.version}</version>
                        <!--标题-->
                        <title>基础库文档速查</title>
                    </configuration>
                    <executions>
                        <execution>
                            <phase>compile</phase>
                            <goals>
                                <goal>run</goal>
                            </goals>
                        </execution>
                    </executions>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>
</project>